package com.shining.cloud.mapper.information;

import com.shining.cloud.pojo.information.EventMsg;
import com.shining.cloud.pojo.information.EventMsgDetail;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * @description: 暂态消息Mapper
 * @author: denghuajun
 * @time: 2019-10-17 14:09:47
 **/

public interface EventMsgMapper extends Mapper<EventMsg> {
    List<EventMsgDetail> eventDetailList(@Param("userIndex")String userIndex,@Param("list")List<Integer> lineIndex);
    int getUnState(@Param("userIndex")String userIndex,@Param("list")List<Integer> lineIndex);
    void updateEventState(@Param("eventMsgIndex")String eventMsgIndex);
    List<EventMsgDetail> getEventMsgDetailByLineId(@Param("list")List<Integer> lineIndex, @Param("beginIndex")int beginIndex, @Param("endIndex")int endIndex);

    EventMsg getEventMsgByEventId(@Param("userIndex")String userIndex,@Param("eventDetailIndex")String eventDetailIndex);

    String getDevNameByLineId(@Param("lineIndex")int lineIndex);
}
